## OMA Set Event Report request OMA Set Event Report request |

## Functions

QmiMessageOmaSetEventReportInput * | qmi_message_oma_set_event_report_input_new ()
QmiMessageOmaSetEventReportInput * | qmi_message_oma_set_event_report_input_ref ()
void | qmi_message_oma_set_event_report_input_unref ()
gboolean | qmi_message_oma_set_event_report_input_get_session_state_reporting ()
gboolean | qmi_message_oma_set_event_report_input_set_session_state_reporting ()
gboolean | qmi_message_oma_set_event_report_input_get_network_initiated_alert_reporting ()
gboolean | qmi_message_oma_set_event_report_input_set_network_initiated_alert_reporting ()
QmiMessageOmaSetEventReportOutput * | qmi_message_oma_set_event_report_output_ref ()
void | qmi_message_oma_set_event_report_output_unref ()
gboolean | qmi_message_oma_set_event_report_output_get_result ()
void | qmi_client_oma_set_event_report ()
QmiMessageOmaSetEventReportOutput * | qmi_client_oma_set_event_report_finish ()

## Types and Values

| QmiMessageOmaSetEventReportInput
| QmiMessageOmaSetEventReportOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageOmaSetEventReportInput
        ╰── QmiMessageOmaSetEventReportOutput

## Description

## Functions

### qmi_message_oma_set_event_report_input_new ()

    QmiMessageOmaSetEventReportInput *
    qmi_message_oma_set_event_report_input_new
                                   (void);

Allocates a new QmiMessageOmaSetEventReportInput.

#### Returns

the newly created QmiMessageOmaSetEventReportInput. The returned value should be freed with `qmi_message_oma_set_event_report_input_unref()`.

Since: 1.6

### qmi_message_oma_set_event_report_input_ref ()

    QmiMessageOmaSetEventReportInput *
    qmi_message_oma_set_event_report_input_ref
                                   (QmiMessageOmaSetEventReportInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaSetEventReportInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_set_event_report_input_unref ()

    void
    qmi_message_oma_set_event_report_input_unref
                                   (QmiMessageOmaSetEventReportInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaSetEventReportInput. |

Since: 1.6

### qmi_message_oma_set_event_report_input_get_session_state_reporting ()

    gboolean
    qmi_message_oma_set_event_report_input_get_session_state_reporting
                                   (QmiMessageOmaSetEventReportInput *self,
                                    gboolean *value_session_state_reporting,
                                    GError **error);

Get the 'Session State Reporting' field from `self` .

#### Parameters

self | a QmiMessageOmaSetEventReportInput. |
value_session_state_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_event_report_input_set_session_state_reporting ()

    gboolean
    qmi_message_oma_set_event_report_input_set_session_state_reporting
                                   (QmiMessageOmaSetEventReportInput *self,
                                    gboolean value_session_state_reporting,
                                    GError **error);

Set the 'Session State Reporting' field in the message.

#### Parameters

self | a QmiMessageOmaSetEventReportInput. |
value_session_state_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_event_report_input_get_network_initiated_alert_reporting ()

    gboolean
    qmi_message_oma_set_event_report_input_get_network_initiated_alert_reporting
                                   (QmiMessageOmaSetEventReportInput *self,
                                    gboolean *value_network_initiated_alert_reporting,
                                    GError **error);

Get the 'Network Initiated Alert Reporting' field from `self` .

#### Parameters

self | a QmiMessageOmaSetEventReportInput. |
value_network_initiated_alert_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_event_report_input_set_network_initiated_alert_reporting ()

    gboolean
    qmi_message_oma_set_event_report_input_set_network_initiated_alert_reporting
                                   (QmiMessageOmaSetEventReportInput *self,
                                    gboolean value_network_initiated_alert_reporting,
                                    GError **error);

Set the 'Network Initiated Alert Reporting' field in the message.

#### Parameters

self | a QmiMessageOmaSetEventReportInput. |
value_network_initiated_alert_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_set_event_report_output_ref ()

    QmiMessageOmaSetEventReportOutput *
    qmi_message_oma_set_event_report_output_ref
                                   (QmiMessageOmaSetEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaSetEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_set_event_report_output_unref ()

    void
    qmi_message_oma_set_event_report_output_unref
                                   (QmiMessageOmaSetEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaSetEventReportOutput. |

Since: 1.6

### qmi_message_oma_set_event_report_output_get_result ()

    gboolean
    qmi_message_oma_set_event_report_output_get_result
                                   (QmiMessageOmaSetEventReportOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaSetEventReportOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_client_oma_set_event_report ()

    void
    qmi_client_oma_set_event_report (QmiClientOma *self,
                                     QmiMessageOmaSetEventReportInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Set Event Report request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_set_event_report_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
input | a QmiMessageOmaSetEventReportInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_oma_set_event_report_finish ()

    QmiMessageOmaSetEventReportOutput *
    qmi_client_oma_set_event_report_finish
                                   (QmiClientOma *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_oma_set_event_report()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_set_event_report()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaSetEventReportOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_set_event_report_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageOmaSetEventReportInput

    typedef struct _QmiMessageOmaSetEventReportInput QmiMessageOmaSetEventReportInput;

The QmiMessageOmaSetEventReportInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageOmaSetEventReportOutput

    typedef struct _QmiMessageOmaSetEventReportOutput QmiMessageOmaSetEventReportOutput;

The QmiMessageOmaSetEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6